Skip to main content
`Ctrl`+`K`

# DSInitializePackage

This function initializes everything in the `DS` package. It is called from `PetscDLLibraryRegister_slepc()` when using dynamic libraries, and on the first call to `DSCreate()` when using shared or static libraries.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSInitializePackage(void)

## Note

This function never needs to be called by SLEPc users.

## See Also

DS: Direct Solver (or Dense System), `DS`, `SlepcInitialize()`, `DSFinalizePackage()`

## Level

developer

## Location

src/sys/classes/ds/interface/dsbasic.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages